Package org.eclipse.emf.cdo.lm.client

# Enum Class IAssemblyDescriptor.UpdateState

java.lang.Object
java.lang.Enum<IAssemblyDescriptor.UpdateState>
org.eclipse.emf.cdo.lm.client.IAssemblyDescriptor.UpdateState

All Implemented Interfaces:
  `Serializable`, `Comparable<IAssemblyDescriptor.UpdateState>`, `Constable`

Enclosing interface:
  IAssemblyDescriptor

public static enum IAssemblyDescriptor.UpdateState extends Enum<IAssemblyDescriptor.UpdateState>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NoUpdatesAvailable`
`UpdatesAvailable`

## Method Summary

Modifier and Type
Method
Description
`static IAssemblyDescriptor.UpdateState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IAssemblyDescriptor.UpdateState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NoUpdatesAvailable

public static final IAssemblyDescriptor.UpdateState NoUpdatesAvailable

### UpdatesAvailable

public static final IAssemblyDescriptor.UpdateState UpdatesAvailable

## Method Details

### values

public static IAssemblyDescriptor.UpdateState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IAssemblyDescriptor.UpdateState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null